using Darkmatter.Core;
using UnityEngine;

namespace Darkmatter.Domain
{
    public abstract class WeaponBase : MonoBehaviour, IWeapon
    {
        public abstract bool canAttack { get; }

        public abstract string WeaponName {get; }

        public abstract void Attack();

        public virtual int AmmoCount { get; protected set; }

        public virtual void Reload()
        {
            Debug.Log("Reloading");
        }
    }
}
